org.springframework.core

## Class SpringVersion

- java.lang.Object
- - org.springframework.core.SpringVersion

-     public class SpringVersion
      extends Object

  Class that exposes the Spring version. Fetches the "Implementation-Version" manifest attribute from the jar file.

  Note that some ClassLoaders do not expose the package metadata, hence this class might not be able to determine the Spring version in all environments. Consider using a reflection-based check instead: For example, checking for the presence of a specific Spring 2.0 method that you intend to call.

  Since:
    1.1
  Author:
    Juergen Hoeller

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpringVersion()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getVersion()` Return the full version string of the present Spring codebase, or `null` if it cannot be determined.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpringVersion

          public SpringVersion()

  - ### Method Detail

    - #### getVersion

          public static String getVersion()

      Return the full version string of the present Spring codebase, or `null` if it cannot be determined.
      See Also:
        `Package.getImplementationVersion()`